Skip to Content
0

Developer Studio 7.31 shows parsing error in Windows server 2008

Oct 18, 2016 at 10:29 AM

63

avatar image

Hi Team,

Developer Studio 7.31 installation shows error with JDK 1.6_26.

Installation failed with parsing error.

SAP Portal Version is:

7.4012.20151002065156.0000

VM Version:

1.6.0_111

Error Message installed:

-----------------------------------------------------------------------------------------

!SESSION 2016-10-16 16:59:47.250 -----------------------------------------------
eclipse.buildId=@qualifier@
java.version=1.6.0_26
java.vendor=Sun Microsystems Inc.
BootLoader constants: OS=win32, ARCH=x86, WS=win32, NL=en
Command-line arguments: -os win32 -ws win32 -arch x86

!ENTRY org.eclipse.ui 2 0 2016-10-16 17:00:47.594
!MESSAGE Warnings while parsing the key bindings from the 'org.eclipse.ui.commands' extension point
!SUBENTRY 1 org.eclipse.ui 2 0 2016-10-16 17:00:47.594
!MESSAGE Cannot bind to an undefined command: plug-in='com.sap.ide.esr.tools.core.ui', id='com.sap.ide.esr.tools.ui.runchecks'

!ENTRY org.eclipse.osgi 4 0 2016-10-16 17:00:52.399
!MESSAGE An error occurred while automatically activating bundle org.eclipse.core.net (872).
!STACK 0
org.osgi.framework.BundleException: Exception in org.eclipse.core.internal.net.Activator.start() of bundle org.eclipse.core.net.
at org.eclipse.osgi.framework.internal.core.BundleContextImpl.startActivator(BundleContextImpl.java:806)
at org.eclipse.osgi.framework.internal.core.BundleContextImpl.start(BundleContextImpl.java:755)
at org.eclipse.osgi.framework.internal.core.BundleHost.startWorker(BundleHost.java:352)
at org.eclipse.osgi.framework.internal.core.AbstractBundle.start(AbstractBundle.java:280)
at org.eclipse.osgi.framework.util.SecureAction.start(SecureAction.java:408)
at org.eclipse.core.runtime.internal.adaptor.EclipseLazyStarter.postFindLocalClass(EclipseLazyStarter.java:111)
at org.eclipse.osgi.baseadaptor.loader.ClasspathManager.findLocalClass(ClasspathManager.java:449)
at org.eclipse.osgi.internal.baseadaptor.DefaultClassLoader.findLocalClass(DefaultClassLoader.java:211)
at org.eclipse.osgi.internal.loader.BundleLoader.findLocalClass(BundleLoader.java:381)
at org.eclipse.osgi.internal.loader.SingleSourcePackage.loadClass(SingleSourcePackage.java:33)
at org.eclipse.osgi.internal.loader.BundleLoader.findClassInternal(BundleLoader.java:454)
at org.eclipse.osgi.internal.loader.BundleLoader.findClass(BundleLoader.java:410)
at org.eclipse.osgi.internal.loader.BundleLoader.findClass(BundleLoader.java:398)
at org.eclipse.osgi.internal.baseadaptor.DefaultClassLoader.loadClass(DefaultClassLoader.java:105)
at java.lang.ClassLoader.loadClass(Unknown Source)
at com.sap.tc.esmp.tools.core.CorePlugin.start(CorePlugin.java:49)
at org.eclipse.osgi.framework.internal.core.BundleContextImpl$1.run(BundleContextImpl.java:783)
at java.security.AccessController.doPrivileged(Native Method)
at org.eclipse.osgi.framework.internal.core.BundleContextImpl.startActivator(BundleContextImpl.java:774)
at org.eclipse.osgi.framework.internal.core.BundleContextImpl.start(BundleContextImpl.java:755)
at org.eclipse.osgi.framework.internal.core.BundleHost.startWorker(BundleHost.java:352)
at org.eclipse.osgi.framework.internal.core.AbstractBundle.start(AbstractBundle.java:280)
at org.eclipse.osgi.framework.util.SecureAction.start(SecureAction.java:408)
at org.eclipse.core.runtime.internal.adaptor.EclipseLazyStarter.postFindLocalClass(EclipseLazyStarter.java:111)
at org.eclipse.osgi.baseadaptor.loader.ClasspathManager.findLocalClass(ClasspathManager.java:449)
at org.eclipse.osgi.internal.baseadaptor.DefaultClassLoader.findLocalClass(DefaultClassLoader.java:211)
at org.eclipse.osgi.internal.loader.BundleLoader.findLocalClass(BundleLoader.java:381)
at org.eclipse.osgi.internal.loader.SingleSourcePackage.loadClass(SingleSourcePackage.java:33)
at org.eclipse.osgi.internal.loader.BundleLoader.findClassInternal(BundleLoader.java:454)
at org.eclipse.osgi.internal.loader.BundleLoader.findClass(BundleLoader.java:410)
at org.eclipse.osgi.internal.loader.BundleLoader.findClass(BundleLoader.java:398)
at org.eclipse.osgi.internal.baseadaptor.DefaultClassLoader.loadClass(DefaultClassLoader.java:105)
at java.lang.ClassLoader.loadClass(Unknown Source)
at com.sap.tc.esmp.tools.editor.jobs.RepositoryMetadataProcessor.<init>(RepositoryMetadataProcessor.java:72)
at com.sap.tc.esmp.tools.editor.jobs.ESMResourceChangeListener.<init>(ESMResourceChangeListener.java:35)
at com.sap.tc.esmp.tools.editor.plugin.EsmpEditorPlugin.<init>(EsmpEditorPlugin.java:150)
at sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method)
at sun.reflect.NativeConstructorAccessorImpl.newInstance(Unknown Source)
at sun.reflect.DelegatingConstructorAccessorImpl.newInstance(Unknown Source)
at java.lang.reflect.Constructor.newInstance(Unknown Source)
at org.eclipse.core.internal.plugins.PluginDescriptor.internalDoPluginActivation(PluginDescriptor.java:422)
at org.eclipse.core.internal.plugins.PluginDescriptor.doPluginActivation(PluginDescriptor.java:370)
at org.eclipse.core.internal.plugins.PluginDescriptor.getPlugin(PluginDescriptor.java:340)
at org.eclipse.core.internal.compatibility.PluginActivator.start(PluginActivator.java:28)
at org.eclipse.osgi.framework.internal.core.BundleContextImpl$1.run(BundleContextImpl.java:783)
at java.security.AccessController.doPrivileged(Native Method)
at org.eclipse.osgi.framework.internal.core.BundleContextImpl.startActivator(BundleContextImpl.java:774)
at org.eclipse.osgi.framework.internal.core.BundleContextImpl.start(BundleContextImpl.java:755)
at org.eclipse.osgi.framework.internal.core.BundleHost.startWorker(BundleHost.java:352)
at org.eclipse.osgi.framework.internal.core.AbstractBundle.start(AbstractBundle.java:280)
at org.eclipse.osgi.framework.util.SecureAction.start(SecureAction.java:408)
at org.eclipse.core.runtime.internal.adaptor.EclipseLazyStarter.postFindLocalClass(EclipseLazyStarter.java:111)
at org.eclipse.osgi.baseadaptor.loader.ClasspathManager.findLocalClass(ClasspathManager.java:449)
at org.eclipse.osgi.internal.baseadaptor.DefaultClassLoader.findLocalClass(DefaultClassLoader.java:211)
at org.eclipse.osgi.internal.loader.BundleLoader.findLocalClass(BundleLoader.java:381)
at org.eclipse.osgi.internal.loader.SingleSourcePackage.loadClass(SingleSourcePackage.java:33)
at org.eclipse.osgi.internal.loader.BundleLoader.findClassInternal(BundleLoader.java:454)

Regards

Kaushik Banerjee

10 |10000 characters needed characters left characters exceeded
* Please Login or Register to Answer, Follow or Comment.

3 Answers

Best Answer
Szabolcs Renyo
Oct 28, 2016 at 02:42 PM
1

Hi Kaushik,

Here you can see the supported Operating systems:

    • Windows XP 32-bit
    • Windows Vista 32-bit
    • Windows Server 2008 64-bit
    • Windows 7 32-bit
    • Windows 7 64-bit

    The problem was that you tried to install it on 32-bit Windows Server 2008.

    Best regards,
    Szabolcs

    Show 1 Share
    10 |10000 characters needed characters left characters exceeded

    Hi Szabolcs,

    It's Windows Server 2008 R2 Datacenter Service Pack1.

    System type: 64 bit operating system.

    Eclipse version is nwds-extsoa-7.3-SP07-PAT0000--win32.

    As per SAP Support; available version in SAP Marketplace is Developer Studio 7.5.

    Is there any wiki link to download Developer Studio 7.3 win64?

    Thanks & Regards

    Kaushik Banerjee

    0
    Kaushik Banerjee Oct 27, 2016 at 01:55 PM
    0

    Hi,

    I am not getting any error in Windows 7 x86 but in Windows 2008 X86.

    Please let me know the reason of the error.

    Best Regards

    Kaushik Banerjee

    Share
    10 |10000 characters needed characters left characters exceeded
    Szabolcs Renyo
    Nov 07, 2016 at 02:06 PM
    0

    Hi Kaushik,

    I'm not sure that you would like to download NWDS 7.3 or 7.31 so I provide the download links to both of them:

    730:
    https://nwds.sap.com/swdc/downloads/updates/netweaver/nwds/nw/730/
    731:
    https://nwds.sap.com/swdc/downloads/updates/netweaver/nwds/nw/731/

    You have to use your S user to login.

    Best Regards,
    Szabolcs

    Show 1 Share
    10 |10000 characters needed characters left characters exceeded

    Hi Szablocs,

    It's an lack of administrative permissions.

    Basis team did not solve it. Thanks for your support.

    Best Regards

    Kaushik Banerjee

    0